#!/bin/bash

team=$1
INPUT_DIR="/data"
OUTPUT_file="/workspace/$team.csv"

echo "patientID,score" > "$OUTPUT_file"
for PET_fname in "$INPUT_DIR"/*_pt.nii.gz
do
  PET_fname_base=`basename "$PET_fname"`
  patientID=`echo "$PET_fname_base" | cut -d_ -f1`
  score=`sh /workspace/predict.sh "$INPUT_DIR"/"$patientID"_pt.nii.gz  "$INPUT_DIR"/"$patientID"_ct.nii.gz  "$INPUT_DIR"/"$patientID"_gtvt.nii.gt`
  echo ""$patientID","$score"" >> "$OUTPUT_file"
done





